package com.mortals.xhx.common.code;

import com.mortals.framework.ap.SysConstains;
import com.mortals.framework.common.IBaseEnum;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 分辨率
 */
public enum ResolutionEnum {
    R_1080P("1920*1080", "1920*1080", SysConstains.STYLE_DEFAULT),
    R_720P("1280*720", "1280*720", SysConstains.STYLE_DEFAULT);

    private String value;
    private String desc;
    private String style;

    ResolutionEnum(String value, String desc, String style) {
        this.value = value;
        this.desc = desc;
        this.style = style;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return desc;
    }

    public String getStyle()
    {
        return style;
    }

    public static ResolutionEnum getByValue(int value) {
        for (ResolutionEnum e : ResolutionEnum.values()) {
            if (e.getValue().equals(value)) {
                return e;
            }
        }
        return null;
    }

    public static Map<String,String> getEnumMap(int... eItem) {
        Map<String,String> resultMap= new LinkedHashMap<String,String>();
        for (ResolutionEnum item : ResolutionEnum.values()) {
            try{
                boolean hasE = false;
                for (int e : eItem){
                    if(item.getValue().equals(e)){
                        hasE = true;
                        break;
                    }
                }
                if(!hasE){
                    resultMap.put(item.getValue()+"", item.getDesc());
                }
            }catch(Exception ex){
            }
        }
        return resultMap;
    }
}
