package com.mortals.xhx.module.certificate.service.impl;
import com.mortals.xhx.common.utils.StringUtils;
import com.mortals.xhx.module.certificate.model.CertificateCatalogEntity;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.certificate.dao.CertificateClassifyDao;
import com.mortals.xhx.module.certificate.model.CertificateClassifyEntity;
import com.mortals.xhx.module.certificate.service.CertificateClassifyService;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
* CertificateClassifyService
* 证照分类 service实现
*
* @author zxfei
* @date 2022-10-14
*/
@Service("certificateClassifyService")
public class CertificateClassifyServiceImpl extends AbstractCRUDServiceImpl<CertificateClassifyDao, CertificateClassifyEntity, Long> implements CertificateClassifyService {

    @Override
    protected void saveBefore(CertificateClassifyEntity entity, Context context) throws AppException {
        if(StringUtils.isEmpty(entity.getClassifyName())){
            throw new AppException("分类名称不能为空");
        }
        Map<String,Object> condition = new HashMap<>();
        condition.put("classifyName",entity.getClassifyName());
        List<CertificateClassifyEntity> list = this.dao.getList(condition);
        if(CollectionUtils.isNotEmpty(list)){
            throw new AppException("分类名称重复");
        }
        entity.setTotal(0);
        entity.setSort(0);
    }

    @Override
    public void setShowFront(List<Long> ids, int showFront) throws AppException {
        if(CollectionUtils.isEmpty(ids)){
            throw new AppException("分类主键List不能为空");
        }
        Map<String,Object> condition = new HashMap<>();
        condition.put("idList",ids);
        Map<String,Object> data = new HashMap<>();
        data.put("showFront",showFront);
        this.dao.update(data,condition);
    }
}