package com.mortals.xhx.module.record.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.record.model.vo.PrintWaitQueueVo;
/**
* 证照打印记录实体对象
*
* @author zxfei
* @date 2022-10-22
*/

public class PrintWaitQueueEntity extends PrintWaitQueueVo {
    private static final long serialVersionUID = 1L;

    /**
    * 申请ID
    */
    private Long applyId;
    /**
    * 证照目录编号
    */
    private String catalogCode;
    /**
    * 证照名称
    */
    private String certificateName;
    /**
    * 证照编号
    */
    private String certificateCode;
    /**
    * 企业名称
    */
    private String enterpriseName;
    /**
    * 持有者姓名
    */
    private String holderName;
    /**
    * 持有者证件号码
    */
    private String holderIDCardNo;
    /**
    * 取件人姓名
    */
    private String pickerName;
    /**
    * 取件人证件号码
    */
    private String pickerIDCardNo;
    /**
    * 证件类型1正本2副本
    */
    private Integer certificateType;
    /**
    * 证件预览地址
    */
    private String previewUrl;
    /**
    * 证件附件地址
    */
    private String certificateUrl;
    /**
    * 是否打印0否1是
    */
    private Integer printStatus;
    /**
    * 证照目录ID
    */
    private Long catalogId;



    public PrintWaitQueueEntity(){}
    /**
    * 获取 申请ID
    * @return Long
    */
    public Long getApplyId(){
        return applyId;
    }
    /**
    * 设置 申请ID
    * @param applyId
    */
    public void setApplyId(Long applyId){
        this.applyId = applyId;
    }
    /**
    * 获取 证照目录编号
    * @return String
    */
    public String getCatalogCode(){
        return catalogCode;
    }
    /**
    * 设置 证照目录编号
    * @param catalogCode
    */
    public void setCatalogCode(String catalogCode){
        this.catalogCode = catalogCode;
    }
    /**
    * 获取 证照名称
    * @return String
    */
    public String getCertificateName(){
        return certificateName;
    }
    /**
    * 设置 证照名称
    * @param certificateName
    */
    public void setCertificateName(String certificateName){
        this.certificateName = certificateName;
    }
    /**
    * 获取 证照编号
    * @return String
    */
    public String getCertificateCode(){
        return certificateCode;
    }
    /**
    * 设置 证照编号
    * @param certificateCode
    */
    public void setCertificateCode(String certificateCode){
        this.certificateCode = certificateCode;
    }
    /**
    * 获取 企业名称
    * @return String
    */
    public String getEnterpriseName(){
        return enterpriseName;
    }
    /**
    * 设置 企业名称
    * @param enterpriseName
    */
    public void setEnterpriseName(String enterpriseName){
        this.enterpriseName = enterpriseName;
    }
    /**
    * 获取 持有者姓名
    * @return String
    */
    public String getHolderName(){
        return holderName;
    }
    /**
    * 设置 持有者姓名
    * @param holderName
    */
    public void setHolderName(String holderName){
        this.holderName = holderName;
    }
    /**
    * 获取 持有者证件号码
    * @return String
    */
    public String getHolderIDCardNo(){
        return holderIDCardNo;
    }
    /**
    * 设置 持有者证件号码
    * @param holderIDCardNo
    */
    public void setHolderIDCardNo(String holderIDCardNo){
        this.holderIDCardNo = holderIDCardNo;
    }
    /**
    * 获取 取件人姓名
    * @return String
    */
    public String getPickerName(){
        return pickerName;
    }
    /**
    * 设置 取件人姓名
    * @param pickerName
    */
    public void setPickerName(String pickerName){
        this.pickerName = pickerName;
    }
    /**
    * 获取 取件人证件号码
    * @return String
    */
    public String getPickerIDCardNo(){
        return pickerIDCardNo;
    }
    /**
    * 设置 取件人证件号码
    * @param pickerIDCardNo
    */
    public void setPickerIDCardNo(String pickerIDCardNo){
        this.pickerIDCardNo = pickerIDCardNo;
    }
    /**
    * 获取 证件类型1正本2副本
    * @return Integer
    */
    public Integer getCertificateType(){
        return certificateType;
    }
    /**
    * 设置 证件类型1正本2副本
    * @param certificateType
    */
    public void setCertificateType(Integer certificateType){
        this.certificateType = certificateType;
    }
    /**
    * 获取 证件预览地址
    * @return String
    */
    public String getPreviewUrl(){
        return previewUrl;
    }
    /**
    * 设置 证件预览地址
    * @param previewUrl
    */
    public void setPreviewUrl(String previewUrl){
        this.previewUrl = previewUrl;
    }
    /**
    * 获取 证件附件地址
    * @return String
    */
    public String getCertificateUrl(){
        return certificateUrl;
    }
    /**
    * 设置 证件附件地址
    * @param certificateUrl
    */
    public void setCertificateUrl(String certificateUrl){
        this.certificateUrl = certificateUrl;
    }
    /**
    * 获取 是否打印0否1是
    * @return Integer
    */
    public Integer getPrintStatus(){
        return printStatus;
    }
    /**
    * 设置 是否打印0否1是
    * @param printStatus
    */
    public void setPrintStatus(Integer printStatus){
        this.printStatus = printStatus;
    }
    /**
    * 获取 证照目录ID
    * @return Long
    */
    public Long getCatalogId(){
        return catalogId;
    }
    /**
    * 设置 证照目录ID
    * @param catalogId
    */
    public void setCatalogId(Long catalogId){
        this.catalogId = catalogId;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof PrintWaitQueueEntity) {
            PrintWaitQueueEntity tmp = (PrintWaitQueueEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",applyId:").append(getApplyId());
        sb.append(",catalogCode:").append(getCatalogCode());
        sb.append(",certificateName:").append(getCertificateName());
        sb.append(",certificateCode:").append(getCertificateCode());
        sb.append(",enterpriseName:").append(getEnterpriseName());
        sb.append(",holderName:").append(getHolderName());
        sb.append(",holderIDCardNo:").append(getHolderIDCardNo());
        sb.append(",pickerName:").append(getPickerName());
        sb.append(",pickerIDCardNo:").append(getPickerIDCardNo());
        sb.append(",certificateType:").append(getCertificateType());
        sb.append(",previewUrl:").append(getPreviewUrl());
        sb.append(",certificateUrl:").append(getCertificateUrl());
        sb.append(",printStatus:").append(getPrintStatus());
        sb.append(",catalogId:").append(getCatalogId());
        return sb.toString();
    }

    public void initAttrValue(){

            this.applyId = null;

            this.catalogCode = "";

            this.certificateName = "";

            this.certificateCode = "";

            this.enterpriseName = "";

            this.holderName = "";

            this.holderIDCardNo = "";

            this.pickerName = "";

            this.pickerIDCardNo = "";

            this.certificateType = 1;

            this.previewUrl = "";

            this.certificateUrl = "";

            this.printStatus = 0;

            this.catalogId = null;
    }
}