package com.mortals.xhx.module.record.model;

import java.util.List;
import com.mortals.xhx.module.record.model.RetainLogEntity;
/**
* 证照持有查询对象
*
* @author zxfei
* @date 2022-10-22
*/
public class RetainLogQuery extends RetainLogEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 证照目录编号 */
    private List<String> catalogCodeList;

    /** 证照名称 */
    private List<String> certificateNameList;

    /** 证照编号 */
    private List<String> certificateCodeList;

    /** 企业名称 */
    private List<String> enterpriseNameList;

    /** 持有者姓名 */
    private List<String> holderNameList;

    /** 持有者证件号码 */
    private List<String> holderIDCardNoList;

    /** 开始 证照状态，1正常2注销 */
    private Integer certificateStatusStart;

    /** 结束 证照状态，1正常2注销 */
    private Integer certificateStatusEnd;

    /** 增加 证照状态，1正常2注销 */
    private Integer certificateStatusIncrement;

    /** 证照状态，1正常2注销列表 */
    private List <Integer> certificateStatusList;

    /** 开始 正本数 */
    private Integer originalCountStart;

    /** 结束 正本数 */
    private Integer originalCountEnd;

    /** 增加 正本数 */
    private Integer originalCountIncrement;

    /** 正本数列表 */
    private List <Integer> originalCountList;

    /** 开始 副本数 */
    private Integer duplicateCountStart;

    /** 结束 副本数 */
    private Integer duplicateCountEnd;

    /** 增加 副本数 */
    private Integer duplicateCountIncrement;

    /** 副本数列表 */
    private List <Integer> duplicateCountList;

    /** 正本附件地址 */
    private List<String> originalUrlList;

    /** 副本附件地址 */
    private List<String> duplicateUrlList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 证照目录ID */
    private Long catalogIdStart;

    /** 结束 证照目录ID */
    private Long catalogIdEnd;

    /** 增加 证照目录ID */
    private Long catalogIdIncrement;

    /** 证照目录ID列表 */
    private List <Long> catalogIdList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<RetainLogQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<RetainLogQuery> andConditionList;

    public RetainLogQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 证照目录编号
    * @return catalogCodeList
    */
    public List<String> getCatalogCodeList(){
        return this.catalogCodeList;
    }

    /**
    * 设置 证照目录编号
    * @param catalogCodeList
    */
    public void setCatalogCodeList(List<String> catalogCodeList){
        this.catalogCodeList = catalogCodeList;
    }
    /**
    * 获取 证照名称
    * @return certificateNameList
    */
    public List<String> getCertificateNameList(){
        return this.certificateNameList;
    }

    /**
    * 设置 证照名称
    * @param certificateNameList
    */
    public void setCertificateNameList(List<String> certificateNameList){
        this.certificateNameList = certificateNameList;
    }
    /**
    * 获取 证照编号
    * @return certificateCodeList
    */
    public List<String> getCertificateCodeList(){
        return this.certificateCodeList;
    }

    /**
    * 设置 证照编号
    * @param certificateCodeList
    */
    public void setCertificateCodeList(List<String> certificateCodeList){
        this.certificateCodeList = certificateCodeList;
    }
    /**
    * 获取 企业名称
    * @return enterpriseNameList
    */
    public List<String> getEnterpriseNameList(){
        return this.enterpriseNameList;
    }

    /**
    * 设置 企业名称
    * @param enterpriseNameList
    */
    public void setEnterpriseNameList(List<String> enterpriseNameList){
        this.enterpriseNameList = enterpriseNameList;
    }
    /**
    * 获取 持有者姓名
    * @return holderNameList
    */
    public List<String> getHolderNameList(){
        return this.holderNameList;
    }

    /**
    * 设置 持有者姓名
    * @param holderNameList
    */
    public void setHolderNameList(List<String> holderNameList){
        this.holderNameList = holderNameList;
    }
    /**
    * 获取 持有者证件号码
    * @return holderIDCardNoList
    */
    public List<String> getHolderIDCardNoList(){
        return this.holderIDCardNoList;
    }

    /**
    * 设置 持有者证件号码
    * @param holderIDCardNoList
    */
    public void setHolderIDCardNoList(List<String> holderIDCardNoList){
        this.holderIDCardNoList = holderIDCardNoList;
    }
    /**
    * 获取 开始 证照状态，1正常2注销
    * @return certificateStatusStart
    */
    public Integer getCertificateStatusStart(){
        return this.certificateStatusStart;
    }

    /**
    * 设置 开始 证照状态，1正常2注销
    * @param certificateStatusStart
    */
    public void setCertificateStatusStart(Integer certificateStatusStart){
        this.certificateStatusStart = certificateStatusStart;
    }

    /**
    * 获取 结束 证照状态，1正常2注销
    * @return $certificateStatusEnd
    */
    public Integer getCertificateStatusEnd(){
        return this.certificateStatusEnd;
    }

    /**
    * 设置 结束 证照状态，1正常2注销
    * @param certificateStatusEnd
    */
    public void setCertificateStatusEnd(Integer certificateStatusEnd){
        this.certificateStatusEnd = certificateStatusEnd;
    }

    /**
    * 获取 增加 证照状态，1正常2注销
    * @return certificateStatusIncrement
    */
    public Integer getCertificateStatusIncrement(){
        return this.certificateStatusIncrement;
    }

    /**
    * 设置 增加 证照状态，1正常2注销
    * @param certificateStatusIncrement
    */
    public void setCertificateStatusIncrement(Integer certificateStatusIncrement){
        this.certificateStatusIncrement = certificateStatusIncrement;
    }

    /**
    * 获取 证照状态，1正常2注销
    * @return certificateStatusList
    */
    public List<Integer> getCertificateStatusList(){
        return this.certificateStatusList;
    }

    /**
    * 设置 证照状态，1正常2注销
    * @param certificateStatusList
    */
    public void setCertificateStatusList(List<Integer> certificateStatusList){
        this.certificateStatusList = certificateStatusList;
    }

    /**
    * 获取 开始 正本数
    * @return originalCountStart
    */
    public Integer getOriginalCountStart(){
        return this.originalCountStart;
    }

    /**
    * 设置 开始 正本数
    * @param originalCountStart
    */
    public void setOriginalCountStart(Integer originalCountStart){
        this.originalCountStart = originalCountStart;
    }

    /**
    * 获取 结束 正本数
    * @return $originalCountEnd
    */
    public Integer getOriginalCountEnd(){
        return this.originalCountEnd;
    }

    /**
    * 设置 结束 正本数
    * @param originalCountEnd
    */
    public void setOriginalCountEnd(Integer originalCountEnd){
        this.originalCountEnd = originalCountEnd;
    }

    /**
    * 获取 增加 正本数
    * @return originalCountIncrement
    */
    public Integer getOriginalCountIncrement(){
        return this.originalCountIncrement;
    }

    /**
    * 设置 增加 正本数
    * @param originalCountIncrement
    */
    public void setOriginalCountIncrement(Integer originalCountIncrement){
        this.originalCountIncrement = originalCountIncrement;
    }

    /**
    * 获取 正本数
    * @return originalCountList
    */
    public List<Integer> getOriginalCountList(){
        return this.originalCountList;
    }

    /**
    * 设置 正本数
    * @param originalCountList
    */
    public void setOriginalCountList(List<Integer> originalCountList){
        this.originalCountList = originalCountList;
    }

    /**
    * 获取 开始 副本数
    * @return duplicateCountStart
    */
    public Integer getDuplicateCountStart(){
        return this.duplicateCountStart;
    }

    /**
    * 设置 开始 副本数
    * @param duplicateCountStart
    */
    public void setDuplicateCountStart(Integer duplicateCountStart){
        this.duplicateCountStart = duplicateCountStart;
    }

    /**
    * 获取 结束 副本数
    * @return $duplicateCountEnd
    */
    public Integer getDuplicateCountEnd(){
        return this.duplicateCountEnd;
    }

    /**
    * 设置 结束 副本数
    * @param duplicateCountEnd
    */
    public void setDuplicateCountEnd(Integer duplicateCountEnd){
        this.duplicateCountEnd = duplicateCountEnd;
    }

    /**
    * 获取 增加 副本数
    * @return duplicateCountIncrement
    */
    public Integer getDuplicateCountIncrement(){
        return this.duplicateCountIncrement;
    }

    /**
    * 设置 增加 副本数
    * @param duplicateCountIncrement
    */
    public void setDuplicateCountIncrement(Integer duplicateCountIncrement){
        this.duplicateCountIncrement = duplicateCountIncrement;
    }

    /**
    * 获取 副本数
    * @return duplicateCountList
    */
    public List<Integer> getDuplicateCountList(){
        return this.duplicateCountList;
    }

    /**
    * 设置 副本数
    * @param duplicateCountList
    */
    public void setDuplicateCountList(List<Integer> duplicateCountList){
        this.duplicateCountList = duplicateCountList;
    }

    /**
    * 获取 正本附件地址
    * @return originalUrlList
    */
    public List<String> getOriginalUrlList(){
        return this.originalUrlList;
    }

    /**
    * 设置 正本附件地址
    * @param originalUrlList
    */
    public void setOriginalUrlList(List<String> originalUrlList){
        this.originalUrlList = originalUrlList;
    }
    /**
    * 获取 副本附件地址
    * @return duplicateUrlList
    */
    public List<String> getDuplicateUrlList(){
        return this.duplicateUrlList;
    }

    /**
    * 设置 副本附件地址
    * @param duplicateUrlList
    */
    public void setDuplicateUrlList(List<String> duplicateUrlList){
        this.duplicateUrlList = duplicateUrlList;
    }
    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 开始 证照目录ID
    * @return catalogIdStart
    */
    public Long getCatalogIdStart(){
        return this.catalogIdStart;
    }

    /**
    * 设置 开始 证照目录ID
    * @param catalogIdStart
    */
    public void setCatalogIdStart(Long catalogIdStart){
        this.catalogIdStart = catalogIdStart;
    }

    /**
    * 获取 结束 证照目录ID
    * @return $catalogIdEnd
    */
    public Long getCatalogIdEnd(){
        return this.catalogIdEnd;
    }

    /**
    * 设置 结束 证照目录ID
    * @param catalogIdEnd
    */
    public void setCatalogIdEnd(Long catalogIdEnd){
        this.catalogIdEnd = catalogIdEnd;
    }

    /**
    * 获取 增加 证照目录ID
    * @return catalogIdIncrement
    */
    public Long getCatalogIdIncrement(){
        return this.catalogIdIncrement;
    }

    /**
    * 设置 增加 证照目录ID
    * @param catalogIdIncrement
    */
    public void setCatalogIdIncrement(Long catalogIdIncrement){
        this.catalogIdIncrement = catalogIdIncrement;
    }

    /**
    * 获取 证照目录ID
    * @return catalogIdList
    */
    public List<Long> getCatalogIdList(){
        return this.catalogIdList;
    }

    /**
    * 设置 证照目录ID
    * @param catalogIdList
    */
    public void setCatalogIdList(List<Long> catalogIdList){
        this.catalogIdList = catalogIdList;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public RetainLogQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public RetainLogQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public RetainLogQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public RetainLogQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public RetainLogQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }


	/**
    * 设置 证照目录编号
    * @param catalogCode
    */
    public RetainLogQuery catalogCode(String catalogCode){
        setCatalogCode(catalogCode);
		return this;
    }

    /**
    * 设置 证照目录编号
    * @param catalogCodeList
    */
    public RetainLogQuery catalogCodeList(List<String> catalogCodeList){
        this.catalogCodeList = catalogCodeList;
		return this;
    }


	/**
    * 设置 证照名称
    * @param certificateName
    */
    public RetainLogQuery certificateName(String certificateName){
        setCertificateName(certificateName);
		return this;
    }

    /**
    * 设置 证照名称
    * @param certificateNameList
    */
    public RetainLogQuery certificateNameList(List<String> certificateNameList){
        this.certificateNameList = certificateNameList;
		return this;
    }


	/**
    * 设置 证照编号
    * @param certificateCode
    */
    public RetainLogQuery certificateCode(String certificateCode){
        setCertificateCode(certificateCode);
		return this;
    }

    /**
    * 设置 证照编号
    * @param certificateCodeList
    */
    public RetainLogQuery certificateCodeList(List<String> certificateCodeList){
        this.certificateCodeList = certificateCodeList;
		return this;
    }


	/**
    * 设置 企业名称
    * @param enterpriseName
    */
    public RetainLogQuery enterpriseName(String enterpriseName){
        setEnterpriseName(enterpriseName);
		return this;
    }

    /**
    * 设置 企业名称
    * @param enterpriseNameList
    */
    public RetainLogQuery enterpriseNameList(List<String> enterpriseNameList){
        this.enterpriseNameList = enterpriseNameList;
		return this;
    }


	/**
    * 设置 持有者姓名
    * @param holderName
    */
    public RetainLogQuery holderName(String holderName){
        setHolderName(holderName);
		return this;
    }

    /**
    * 设置 持有者姓名
    * @param holderNameList
    */
    public RetainLogQuery holderNameList(List<String> holderNameList){
        this.holderNameList = holderNameList;
		return this;
    }


	/**
    * 设置 持有者证件号码
    * @param holderIDCardNo
    */
    public RetainLogQuery holderIDCardNo(String holderIDCardNo){
        setHolderIDCardNo(holderIDCardNo);
		return this;
    }

    /**
    * 设置 持有者证件号码
    * @param holderIDCardNoList
    */
    public RetainLogQuery holderIDCardNoList(List<String> holderIDCardNoList){
        this.holderIDCardNoList = holderIDCardNoList;
		return this;
    }

    /**
    * 设置  证照状态，1正常2注销
    * @param certificateStatus
    */
    public RetainLogQuery certificateStatus(Integer certificateStatus){
	    setCertificateStatus(certificateStatus);
		return this;
    }
	
	 /**
    * 设置 开始 证照状态，1正常2注销
    * @param certificateStatusStart
    */
    public RetainLogQuery certificateStatusStart(Integer certificateStatusStart){
		this.certificateStatusStart = certificateStatusStart;
		return this;
    }

    /**
    * 设置 结束 证照状态，1正常2注销
    * @param certificateStatusEnd
    */
    public RetainLogQuery certificateStatusEnd(Integer certificateStatusEnd){
		this.certificateStatusEnd = certificateStatusEnd;
		return this;
    }

    /**
    * 设置 增加 证照状态，1正常2注销
    * @param certificateStatusIncrement
    */
    public RetainLogQuery certificateStatusIncrement(Integer certificateStatusIncrement){
		this.certificateStatusIncrement = certificateStatusIncrement;
		return this;
    }

    /**
    * 设置 证照状态，1正常2注销
    * @param certificateStatusList
    */
    public RetainLogQuery certificateStatusList(List<Integer> certificateStatusList){
        this.certificateStatusList = certificateStatusList;
		return this;
        }

    /**
    * 设置  正本数
    * @param originalCount
    */
    public RetainLogQuery originalCount(Integer originalCount){
	    setOriginalCount(originalCount);
		return this;
    }
	
	 /**
    * 设置 开始 正本数
    * @param originalCountStart
    */
    public RetainLogQuery originalCountStart(Integer originalCountStart){
		this.originalCountStart = originalCountStart;
		return this;
    }

    /**
    * 设置 结束 正本数
    * @param originalCountEnd
    */
    public RetainLogQuery originalCountEnd(Integer originalCountEnd){
		this.originalCountEnd = originalCountEnd;
		return this;
    }

    /**
    * 设置 增加 正本数
    * @param originalCountIncrement
    */
    public RetainLogQuery originalCountIncrement(Integer originalCountIncrement){
		this.originalCountIncrement = originalCountIncrement;
		return this;
    }

    /**
    * 设置 正本数
    * @param originalCountList
    */
    public RetainLogQuery originalCountList(List<Integer> originalCountList){
        this.originalCountList = originalCountList;
		return this;
        }

    /**
    * 设置  副本数
    * @param duplicateCount
    */
    public RetainLogQuery duplicateCount(Integer duplicateCount){
	    setDuplicateCount(duplicateCount);
		return this;
    }
	
	 /**
    * 设置 开始 副本数
    * @param duplicateCountStart
    */
    public RetainLogQuery duplicateCountStart(Integer duplicateCountStart){
		this.duplicateCountStart = duplicateCountStart;
		return this;
    }

    /**
    * 设置 结束 副本数
    * @param duplicateCountEnd
    */
    public RetainLogQuery duplicateCountEnd(Integer duplicateCountEnd){
		this.duplicateCountEnd = duplicateCountEnd;
		return this;
    }

    /**
    * 设置 增加 副本数
    * @param duplicateCountIncrement
    */
    public RetainLogQuery duplicateCountIncrement(Integer duplicateCountIncrement){
		this.duplicateCountIncrement = duplicateCountIncrement;
		return this;
    }

    /**
    * 设置 副本数
    * @param duplicateCountList
    */
    public RetainLogQuery duplicateCountList(List<Integer> duplicateCountList){
        this.duplicateCountList = duplicateCountList;
		return this;
        }


	/**
    * 设置 正本附件地址
    * @param originalUrl
    */
    public RetainLogQuery originalUrl(String originalUrl){
        setOriginalUrl(originalUrl);
		return this;
    }

    /**
    * 设置 正本附件地址
    * @param originalUrlList
    */
    public RetainLogQuery originalUrlList(List<String> originalUrlList){
        this.originalUrlList = originalUrlList;
		return this;
    }


	/**
    * 设置 副本附件地址
    * @param duplicateUrl
    */
    public RetainLogQuery duplicateUrl(String duplicateUrl){
        setDuplicateUrl(duplicateUrl);
		return this;
    }

    /**
    * 设置 副本附件地址
    * @param duplicateUrlList
    */
    public RetainLogQuery duplicateUrlList(List<String> duplicateUrlList){
        this.duplicateUrlList = duplicateUrlList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public RetainLogQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public RetainLogQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public RetainLogQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public RetainLogQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public RetainLogQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public RetainLogQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public RetainLogQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public RetainLogQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public RetainLogQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public RetainLogQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }


    /**
    * 设置  证照目录ID
    * @param catalogId
    */
    public RetainLogQuery catalogId(Long catalogId){
	    setCatalogId(catalogId);
		return this;
    }
	
	 /**
    * 设置 开始 证照目录ID
    * @param catalogIdStart
    */
    public RetainLogQuery catalogIdStart(Long catalogIdStart){
		this.catalogIdStart = catalogIdStart;
		return this;
    }

    /**
    * 设置 结束 证照目录ID
    * @param catalogIdEnd
    */
    public RetainLogQuery catalogIdEnd(Long catalogIdEnd){
		this.catalogIdEnd = catalogIdEnd;
		return this;
    }

    /**
    * 设置 增加 证照目录ID
    * @param catalogIdIncrement
    */
    public RetainLogQuery catalogIdIncrement(Long catalogIdIncrement){
		this.catalogIdIncrement = catalogIdIncrement;
		return this;
    }

    /**
    * 设置 证照目录ID
    * @param catalogIdList
    */
    public RetainLogQuery catalogIdList(List<Long> catalogIdList){
        this.catalogIdList = catalogIdList;
		return this;
        }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<RetainLogQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<RetainLogQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<RetainLogQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<RetainLogQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}